Sunday, July 07, 2024

Re: update games/recoil-rts

On 07/07/2024 22:37, Fabien Romano wrote:
> same update including two more things.
>
> use proper IN_ENGINE_V to match BAR servers and be abale to join lobby.
> bring bin/byar-chobby to setup and start BAR.


> On 16/06/2024 06:55, Fabien ROMANO wrote:
>> update to latest version
>>
>> https://github.com/beyond-all-reason/spring/compare/spring_bar_%7BBAR105%7D105.1.1-2472-ga5aa45c...spring_bar_%7BBAR105%7D105.1.1-2511-g747f18b
>>
>> https://github.com/rlcevg/CircuitAI/compare/aded4d13fcec74a3416e7055fcfb8275e49061a1...3dee671176bdae7e6b1dd46a3c6c2c0d03c48755
>>
>> One more patch merged upstream, thx thfr@.
>> Use patch -E to drop the file.
>>
>> While there, I mute portcheck long lines report by removing the space on url.
>> I also noticed other long lines and adjusted indentation (portcheck use awk length, looks like it does not handle tabulation size).
>> Only two versions changed in DIST_TUPLE, see distinfo.
>>
>> Tested on BAR, barbarianIA works again.
>>
on current.

note about --isolation, the official launcher use the flag but it doesn't work atm.
diff for testing.

Index: Makefile
===================================================================
RCS file: /cvs/ports/games/recoil-rts/Makefile,v
diff -u -p -r1.7 Makefile
--- Makefile 7 Jul 2024 21:27:10 -0000 1.7
+++ Makefile 7 Jul 2024 22:10:49 -0000
@@ -14,7 +14,7 @@ BLD = 2511
HASH = g747f18b
V = ${MJ}.${MN}pl${BLD}
# ${IN_ENGINE_V} is what recoil uses/displays internally
-IN_ENGINE_V = "${MJ}.${MN}-${BLD}-${HASH} BAR${MJ}"
+IN_ENGINE_V = "${MJ}.${MN}-${BLD}-${HASH} BAR${MJ}"

# Prefix '0.' to avoid future EPOCH. Upstream has indicated future versioning
# with YY.MM; once that has happened, remove '0.'
@@ -110,5 +110,8 @@ SUBST_VARS += IN_ENGINE_V

pre-configure:
${SUBST_CMD} ${WRKSRC}/rts/build/cmake/ConfigureVersion.cmake
+
+post-install:
+ ${SUBST_PROGRAM} ${FILESDIR}/byar-chobby ${PREFIX}/bin/

.include <bsd.port.mk>
Index: files/byar-chobby
===================================================================
RCS file: files/byar-chobby
diff -N files/byar-chobby
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ files/byar-chobby 7 Jul 2024 22:10:49 -0000
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+DATASIZE="6291456" # 6g
+
+xm_log() {
+ echo -n "$@\nDo you want to run BAR anyway?\n\
+(If you don't increase these limits, spring might fail to work properly.)" | \
+ ${X11BASE}/bin/xmessage -file - -center -buttons yes:0,no:1 -default no
+}
+
+if [ $(ulimit -Sd) -lt ${DATASIZE} ]; then
+ ulimit -Sd ${DATASIZE} || \
+ xm_log "Cannot increase datasize-cur to at least ${DATASIZE}"
+ [ $? -eq 0 ] || exit
+fi
+
+# setup
+[[ -d ~/.local/state/Beyond\ All\ Reason ]] || \
+ mkdir -p ~/.local/state/Beyond\ All\ Reason
+cat > ~/.local/state/Beyond\ All\ Reason/chobby_config.json <<EOF
+{
+ "server": {
+ "address": "server4.beyondallreason.info",
+ "port": 8200,
+ "protocol": "spring",
+ "serverName": "BAR"
+ },
+ "game": "byar"
+}
+EOF
+
+# update
+PRD_HTTP_SEARCH_URL=https://files-cdn.beyondallreason.dev/find
+PRD_RAPID_USE_STREAMER=false
+PRD_RAPID_REPO_MASTER=https://repos-cdn.beyondallreason.dev/repos.gz

+export PRD_HTTP_SEARCH_URL PRD_RAPID_USE_STREAMER PRD_RAPID_REPO_MASTER
+pr-downloader --download-game byar:test --download-game byar-chobby:test \
+ --filesystem-writepath ~/.local/state/Beyond\ All\ Reason
+
+# start
+# XXX without --isolation
+spring --write-dir ~/.local/state/Beyond\ All\ Reason \
+ --menu rapid://byar-chobby:test
Index: pkg/PLIST
===================================================================
RCS file: /cvs/ports/games/recoil-rts/pkg/PLIST,v
diff -u -p -r1.1.1.1 PLIST
--- pkg/PLIST 5 May 2024 17:18:13 -0000 1.1.1.1
+++ pkg/PLIST 7 Jul 2024 22:10:49 -0000
@@ -1,3 +1,4 @@
+bin/byar-chobby
@bin bin/mapcompile
@bin bin/mapdecompile
@bin bin/pr-downloader

No comments:

Post a Comment